_

[AutoCAD] Warstwy

Forum poświęcone flagowemu produktowi oraz aplikacjom pochodnym Autodesku. To jedyne forum mające w tytule nazwę programu, a to ze względu na jego olbrzymią popularność w Polsce. Można tutaj umieszczać również posty z ogólnie pojętej tematyki "Kreślarskie 2D".

Re: [AutoCAD] Warstwy

Postprzez wilda » kwi 14, 2015 00:16

kojacek napisał(a):W tej chwili (ale i tak tylko momentami - ze względu na czas) zajmuję się modułem zarządzania plikiem ini. To trochę musi potrwać, nie chcę w tej chwili odrywać się od tego aby ponownie wracać do samych warstw. Myślę że jak skończę ten drugi etap, będzie można podyskutować o zmianach - teraz póki co - nich hula jak jest.


kojacek napisał(a):
wilda napisał(a): Jak postępy?

W drugiej połowie kwietnia coś tam wrzucę... :)
kojacek


Jak nie liczyć, zaraz druga połowa kwietnia. :wink:
wilda
 
Posty: 228
Dołączył(a): gru 18, 2007 21:41

Re: [AutoCAD] Warstwy

Postprzez kojacek » kwi 14, 2015 07:18

wilda napisał(a):Jak nie liczyć, zaraz druga połowa kwietnia. :wink:

No ta... ...
Avatar użytkownika
kojacek
 
Posty: 5451
Dołączył(a): paź 03, 2005 20:17

Re: [AutoCAD] Warstwy

Postprzez wilda » paź 17, 2018 12:05

kojacek napisał(a):
Pamiętajmy że już teraz kazdy na swój uzytek może sobie zrobić dowolne podstawowe polecenie rysujące, dla swoich działań np. w ten sposób:
Kod: Zaznacz cały
(defun C:ŁOSIE ()
  (setq *cd-LayerStandard* "Osie")
  (C:LN)
  (princ)
)

kojacek

A czy można to zrobić dla polecenia z dowolnego lisp'a, bo mi nie wychodzi.
Zrobiłem tak:
Kod: Zaznacz cały
(defun C:POLECENIE ()
  (setq *cd-LayerStandard* "Warstwa dla polecenia")
  (C:POLECENIE_Layer_Standard)
  (princ)
)

do pliku Layer standard.lsp dopisałem:
Kod: Zaznacz cały
(defun C:POLECENIE_Layer_Standard()
      (load "plik z nazwą mojego polecenia.lsp")
  (jk:LayerStd_MakeObjects "\n Wskaż punkt wstawienia " "nazwa mojego polecenia" T)
  (princ)
)

Wszystko działa poza tym, że po wskazaniu punktu wstawienia pojawia się błąd że nieznane polecenie "nazwa mojego polecenia"
Dla poleceń zawartych w autocadzie to działa (np: multilinii, kreskowania).
wilda
 
Posty: 228
Dołączył(a): gru 18, 2007 21:41

Poprzednia strona

Powrót do AutoCAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników